import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AcceptSharedDirectoryInput } from "../types/AcceptSharedDirectoryInput";
import { AcceptSharedDirectoryOutput } from "../types/AcceptSharedDirectoryOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/AcceptSharedDirectoryInput";
export * from "../types/AcceptSharedDirectoryOutput";
export * from "../types/AcceptSharedDirectoryExceptionsUnion";
export declare class AcceptSharedDirectoryCommand implements __aws_sdk_types.Command<InputTypesUnion, AcceptSharedDirectoryInput, OutputTypesUnion, AcceptSharedDirectoryOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: AcceptSharedDirectoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AcceptSharedDirectoryInput, AcceptSharedDirectoryOutput, Blob>;
    constructor(input: AcceptSharedDirectoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<AcceptSharedDirectoryInput, AcceptSharedDirectoryOutput>;
}
