import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateSnapshotInput } from "../types/CreateSnapshotInput";
import { CreateSnapshotOutput } from "../types/CreateSnapshotOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/CreateSnapshotInput";
export * from "../types/CreateSnapshotOutput";
export * from "../types/CreateSnapshotExceptionsUnion";
export declare class CreateSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateSnapshotInput, OutputTypesUnion, CreateSnapshotOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: CreateSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateSnapshotInput, CreateSnapshotOutput, Blob>;
    constructor(input: CreateSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateSnapshotInput, CreateSnapshotOutput>;
}
