import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateTrustInput } from "../types/CreateTrustInput";
import { CreateTrustOutput } from "../types/CreateTrustOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/CreateTrustInput";
export * from "../types/CreateTrustOutput";
export * from "../types/CreateTrustExceptionsUnion";
export declare class CreateTrustCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateTrustInput, OutputTypesUnion, CreateTrustOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: CreateTrustInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateTrustInput, CreateTrustOutput, Blob>;
    constructor(input: CreateTrustInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateTrustInput, CreateTrustOutput>;
}
