import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeregisterEventTopicInput } from "../types/DeregisterEventTopicInput";
import { DeregisterEventTopicOutput } from "../types/DeregisterEventTopicOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DeregisterEventTopicInput";
export * from "../types/DeregisterEventTopicOutput";
export * from "../types/DeregisterEventTopicExceptionsUnion";
export declare class DeregisterEventTopicCommand implements __aws_sdk_types.Command<InputTypesUnion, DeregisterEventTopicInput, OutputTypesUnion, DeregisterEventTopicOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DeregisterEventTopicInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeregisterEventTopicInput, DeregisterEventTopicOutput, Blob>;
    constructor(input: DeregisterEventTopicInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DeregisterEventTopicInput, DeregisterEventTopicOutput>;
}
