"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeregisterEventTopic_1 = require("../model/operations/DeregisterEventTopic");
var DeregisterEventTopicCommand = /** @class */ (function () {
    function DeregisterEventTopicCommand(input) {
        this.input = input;
        this.model = DeregisterEventTopic_1.DeregisterEventTopic;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeregisterEventTopicCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeregisterEventTopicCommand;
}());
exports.DeregisterEventTopicCommand = DeregisterEventTopicCommand;
//# sourceMappingURL=DeregisterEventTopicCommand.js.map