import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeTrustsInput } from "../types/DescribeTrustsInput";
import { DescribeTrustsOutput } from "../types/DescribeTrustsOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DescribeTrustsInput";
export * from "../types/DescribeTrustsOutput";
export * from "../types/DescribeTrustsExceptionsUnion";
export declare class DescribeTrustsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeTrustsInput, OutputTypesUnion, DescribeTrustsOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DescribeTrustsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeTrustsInput, DescribeTrustsOutput, Blob>;
    constructor(input: DescribeTrustsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeTrustsInput, DescribeTrustsOutput>;
}
