import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RemoveIpRoutesInput } from "../types/RemoveIpRoutesInput";
import { RemoveIpRoutesOutput } from "../types/RemoveIpRoutesOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/RemoveIpRoutesInput";
export * from "../types/RemoveIpRoutesOutput";
export * from "../types/RemoveIpRoutesExceptionsUnion";
export declare class RemoveIpRoutesCommand implements __aws_sdk_types.Command<InputTypesUnion, RemoveIpRoutesInput, OutputTypesUnion, RemoveIpRoutesOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: RemoveIpRoutesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RemoveIpRoutesInput, RemoveIpRoutesOutput, Blob>;
    constructor(input: RemoveIpRoutesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<RemoveIpRoutesInput, RemoveIpRoutesOutput>;
}
