"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveIpRoutes_1 = require("../model/operations/RemoveIpRoutes");
var RemoveIpRoutesCommand = /** @class */ (function () {
    function RemoveIpRoutesCommand(input) {
        this.input = input;
        this.model = RemoveIpRoutes_1.RemoveIpRoutes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveIpRoutesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveIpRoutesCommand;
}());
exports.RemoveIpRoutesCommand = RemoveIpRoutesCommand;
//# sourceMappingURL=RemoveIpRoutesCommand.js.map