"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddTagsToResourceInput_1 = require("../shapes/AddTagsToResourceInput");
var AddTagsToResourceOutput_1 = require("../shapes/AddTagsToResourceOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var TagLimitExceededException_1 = require("../shapes/TagLimitExceededException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTagsToResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTagsToResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsToResourceInput_1.AddTagsToResourceInput
    },
    output: {
        shape: AddTagsToResourceOutput_1.AddTagsToResourceOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: TagLimitExceededException_1.TagLimitExceededException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=AddTagsToResource.js.map