"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteDirectoryInput_1 = require("../shapes/DeleteDirectoryInput");
var DeleteDirectoryOutput_1 = require("../shapes/DeleteDirectoryOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDirectory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDirectory",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDirectoryInput_1.DeleteDirectoryInput
    },
    output: {
        shape: DeleteDirectoryOutput_1.DeleteDirectoryOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DeleteDirectory.js.map