"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeEventTopicsInput_1 = require("../shapes/DescribeEventTopicsInput");
var DescribeEventTopicsOutput_1 = require("../shapes/DescribeEventTopicsOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEventTopics = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEventTopics",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEventTopicsInput_1.DescribeEventTopicsInput
    },
    output: {
        shape: DescribeEventTopicsOutput_1.DescribeEventTopicsOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DescribeEventTopics.js.map