"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisableRadiusInput_1 = require("../shapes/DisableRadiusInput");
var DisableRadiusOutput_1 = require("../shapes/DisableRadiusOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisableRadius = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisableRadius",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisableRadiusInput_1.DisableRadiusInput
    },
    output: {
        shape: DisableRadiusOutput_1.DisableRadiusOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DisableRadius.js.map