"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDirectoryLimitsInput_1 = require("../shapes/GetDirectoryLimitsInput");
var GetDirectoryLimitsOutput_1 = require("../shapes/GetDirectoryLimitsOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDirectoryLimits = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDirectoryLimits",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDirectoryLimitsInput_1.GetDirectoryLimitsInput
    },
    output: {
        shape: GetDirectoryLimitsOutput_1.GetDirectoryLimitsOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=GetDirectoryLimits.js.map