"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListSchemaExtensionsInput_1 = require("../shapes/ListSchemaExtensionsInput");
var ListSchemaExtensionsOutput_1 = require("../shapes/ListSchemaExtensionsOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListSchemaExtensions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListSchemaExtensions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListSchemaExtensionsInput_1.ListSchemaExtensionsInput
    },
    output: {
        shape: ListSchemaExtensionsOutput_1.ListSchemaExtensionsOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=ListSchemaExtensions.js.map