"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Attributes_1 = require("./_Attributes");
exports.CreateComputerInput = {
    type: "structure",
    required: ["DirectoryId", "ComputerName", "Password"],
    members: {
        DirectoryId: {
            shape: {
                type: "string"
            }
        },
        ComputerName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Password: {
            shape: {
                type: "string",
                sensitive: true,
                min: 8
            }
        },
        OrganizationalUnitDistinguishedName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ComputerAttributes: {
            shape: _Attributes_1._Attributes
        }
    }
};
//# sourceMappingURL=CreateComputerInput.js.map