"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SubnetIds_1 = require("./_SubnetIds");
var _DnsIpAddrs_1 = require("./_DnsIpAddrs");
exports._DirectoryConnectSettings = {
    type: "structure",
    required: ["VpcId", "SubnetIds", "CustomerDnsIps", "CustomerUserName"],
    members: {
        VpcId: {
            shape: {
                type: "string"
            }
        },
        SubnetIds: {
            shape: _SubnetIds_1._SubnetIds
        },
        CustomerDnsIps: {
            shape: _DnsIpAddrs_1._DnsIpAddrs
        },
        CustomerUserName: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_DirectoryConnectSettings.js.map