"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DnsIpAddrs_1 = require("./_DnsIpAddrs");
var _DirectoryVpcSettingsDescription_1 = require("./_DirectoryVpcSettingsDescription");
var _RadiusSettings_1 = require("./_RadiusSettings");
exports._OwnerDirectoryDescription = {
    type: "structure",
    required: [],
    members: {
        DirectoryId: {
            shape: {
                type: "string"
            }
        },
        AccountId: {
            shape: {
                type: "string"
            }
        },
        DnsIpAddrs: {
            shape: _DnsIpAddrs_1._DnsIpAddrs
        },
        VpcSettings: {
            shape: _DirectoryVpcSettingsDescription_1._DirectoryVpcSettingsDescription
        },
        RadiusSettings: {
            shape: _RadiusSettings_1._RadiusSettings
        },
        RadiusStatus: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_OwnerDirectoryDescription.js.map