import { AcceptSharedDirectoryInput } from "./AcceptSharedDirectoryInput";
import { AddIpRoutesInput } from "./AddIpRoutesInput";
import { AddTagsToResourceInput } from "./AddTagsToResourceInput";
import { CancelSchemaExtensionInput } from "./CancelSchemaExtensionInput";
import { ConnectDirectoryInput } from "./ConnectDirectoryInput";
import { CreateAliasInput } from "./CreateAliasInput";
import { CreateComputerInput } from "./CreateComputerInput";
import { CreateConditionalForwarderInput } from "./CreateConditionalForwarderInput";
import { CreateDirectoryInput } from "./CreateDirectoryInput";
import { CreateLogSubscriptionInput } from "./CreateLogSubscriptionInput";
import { CreateMicrosoftADInput } from "./CreateMicrosoftADInput";
import { CreateSnapshotInput } from "./CreateSnapshotInput";
import { CreateTrustInput } from "./CreateTrustInput";
import { DeleteConditionalForwarderInput } from "./DeleteConditionalForwarderInput";
import { DeleteDirectoryInput } from "./DeleteDirectoryInput";
import { DeleteLogSubscriptionInput } from "./DeleteLogSubscriptionInput";
import { DeleteSnapshotInput } from "./DeleteSnapshotInput";
import { DeleteTrustInput } from "./DeleteTrustInput";
import { DeregisterEventTopicInput } from "./DeregisterEventTopicInput";
import { DescribeConditionalForwardersInput } from "./DescribeConditionalForwardersInput";
import { DescribeDirectoriesInput } from "./DescribeDirectoriesInput";
import { DescribeDomainControllersInput } from "./DescribeDomainControllersInput";
import { DescribeEventTopicsInput } from "./DescribeEventTopicsInput";
import { DescribeSharedDirectoriesInput } from "./DescribeSharedDirectoriesInput";
import { DescribeSnapshotsInput } from "./DescribeSnapshotsInput";
import { DescribeTrustsInput } from "./DescribeTrustsInput";
import { DisableRadiusInput } from "./DisableRadiusInput";
import { DisableSsoInput } from "./DisableSsoInput";
import { EnableRadiusInput } from "./EnableRadiusInput";
import { EnableSsoInput } from "./EnableSsoInput";
import { GetDirectoryLimitsInput } from "./GetDirectoryLimitsInput";
import { GetSnapshotLimitsInput } from "./GetSnapshotLimitsInput";
import { ListIpRoutesInput } from "./ListIpRoutesInput";
import { ListLogSubscriptionsInput } from "./ListLogSubscriptionsInput";
import { ListSchemaExtensionsInput } from "./ListSchemaExtensionsInput";
import { ListTagsForResourceInput } from "./ListTagsForResourceInput";
import { RegisterEventTopicInput } from "./RegisterEventTopicInput";
import { RejectSharedDirectoryInput } from "./RejectSharedDirectoryInput";
import { RemoveIpRoutesInput } from "./RemoveIpRoutesInput";
import { RemoveTagsFromResourceInput } from "./RemoveTagsFromResourceInput";
import { ResetUserPasswordInput } from "./ResetUserPasswordInput";
import { RestoreFromSnapshotInput } from "./RestoreFromSnapshotInput";
import { ShareDirectoryInput } from "./ShareDirectoryInput";
import { StartSchemaExtensionInput } from "./StartSchemaExtensionInput";
import { UnshareDirectoryInput } from "./UnshareDirectoryInput";
import { UpdateConditionalForwarderInput } from "./UpdateConditionalForwarderInput";
import { UpdateNumberOfDomainControllersInput } from "./UpdateNumberOfDomainControllersInput";
import { UpdateRadiusInput } from "./UpdateRadiusInput";
import { UpdateTrustInput } from "./UpdateTrustInput";
import { VerifyTrustInput } from "./VerifyTrustInput";
export declare type InputTypesUnion = AcceptSharedDirectoryInput | AddIpRoutesInput | AddTagsToResourceInput | CancelSchemaExtensionInput | ConnectDirectoryInput | CreateAliasInput | CreateComputerInput | CreateConditionalForwarderInput | CreateDirectoryInput | CreateLogSubscriptionInput | CreateMicrosoftADInput | CreateSnapshotInput | CreateTrustInput | DeleteConditionalForwarderInput | DeleteDirectoryInput | DeleteLogSubscriptionInput | DeleteSnapshotInput | DeleteTrustInput | DeregisterEventTopicInput | DescribeConditionalForwardersInput | DescribeDirectoriesInput | DescribeDomainControllersInput | DescribeEventTopicsInput | DescribeSharedDirectoriesInput | DescribeSnapshotsInput | DescribeTrustsInput | DisableRadiusInput | DisableSsoInput | EnableRadiusInput | EnableSsoInput | GetDirectoryLimitsInput | GetSnapshotLimitsInput | ListIpRoutesInput | ListLogSubscriptionsInput | ListSchemaExtensionsInput | ListTagsForResourceInput | RegisterEventTopicInput | RejectSharedDirectoryInput | RemoveIpRoutesInput | RemoveTagsFromResourceInput | ResetUserPasswordInput | RestoreFromSnapshotInput | ShareDirectoryInput | StartSchemaExtensionInput | UnshareDirectoryInput | UpdateConditionalForwarderInput | UpdateNumberOfDomainControllersInput | UpdateRadiusInput | UpdateTrustInput | VerifyTrustInput;
