import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AddIpRoutesInput } from "../types/AddIpRoutesInput";
import { AddIpRoutesOutput } from "../types/AddIpRoutesOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/AddIpRoutesInput";
export * from "../types/AddIpRoutesOutput";
export * from "../types/AddIpRoutesExceptionsUnion";
export declare class AddIpRoutesCommand implements __aws_sdk_types.Command<InputTypesUnion, AddIpRoutesInput, OutputTypesUnion, AddIpRoutesOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: AddIpRoutesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AddIpRoutesInput, AddIpRoutesOutput, Blob>;
    constructor(input: AddIpRoutesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<AddIpRoutesInput, AddIpRoutesOutput>;
}
