import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDirectoryInput } from "../types/CreateDirectoryInput";
import { CreateDirectoryOutput } from "../types/CreateDirectoryOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/CreateDirectoryInput";
export * from "../types/CreateDirectoryOutput";
export * from "../types/CreateDirectoryExceptionsUnion";
export declare class CreateDirectoryCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDirectoryInput, OutputTypesUnion, CreateDirectoryOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: CreateDirectoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDirectoryInput, CreateDirectoryOutput, Blob>;
    constructor(input: CreateDirectoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateDirectoryInput, CreateDirectoryOutput>;
}
