import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateLogSubscriptionInput } from "../types/CreateLogSubscriptionInput";
import { CreateLogSubscriptionOutput } from "../types/CreateLogSubscriptionOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/CreateLogSubscriptionInput";
export * from "../types/CreateLogSubscriptionOutput";
export * from "../types/CreateLogSubscriptionExceptionsUnion";
export declare class CreateLogSubscriptionCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateLogSubscriptionInput, OutputTypesUnion, CreateLogSubscriptionOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: CreateLogSubscriptionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateLogSubscriptionInput, CreateLogSubscriptionOutput, Blob>;
    constructor(input: CreateLogSubscriptionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateLogSubscriptionInput, CreateLogSubscriptionOutput>;
}
