import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDomainControllersInput } from "../types/DescribeDomainControllersInput";
import { DescribeDomainControllersOutput } from "../types/DescribeDomainControllersOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/DescribeDomainControllersInput";
export * from "../types/DescribeDomainControllersOutput";
export * from "../types/DescribeDomainControllersExceptionsUnion";
export declare class DescribeDomainControllersCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDomainControllersInput, OutputTypesUnion, DescribeDomainControllersOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: DescribeDomainControllersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDomainControllersInput, DescribeDomainControllersOutput, Blob>;
    constructor(input: DescribeDomainControllersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeDomainControllersInput, DescribeDomainControllersOutput>;
}
