"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeTrusts_1 = require("../model/operations/DescribeTrusts");
var DescribeTrustsCommand = /** @class */ (function () {
    function DescribeTrustsCommand(input) {
        this.input = input;
        this.model = DescribeTrusts_1.DescribeTrusts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeTrustsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeTrustsCommand;
}());
exports.DescribeTrustsCommand = DescribeTrustsCommand;
//# sourceMappingURL=DescribeTrustsCommand.js.map