"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisableRadius_1 = require("../model/operations/DisableRadius");
var DisableRadiusCommand = /** @class */ (function () {
    function DisableRadiusCommand(input) {
        this.input = input;
        this.model = DisableRadius_1.DisableRadius;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisableRadiusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisableRadiusCommand;
}());
exports.DisableRadiusCommand = DisableRadiusCommand;
//# sourceMappingURL=DisableRadiusCommand.js.map