import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { EnableRadiusInput } from "../types/EnableRadiusInput";
import { EnableRadiusOutput } from "../types/EnableRadiusOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/EnableRadiusInput";
export * from "../types/EnableRadiusOutput";
export * from "../types/EnableRadiusExceptionsUnion";
export declare class EnableRadiusCommand implements __aws_sdk_types.Command<InputTypesUnion, EnableRadiusInput, OutputTypesUnion, EnableRadiusOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: EnableRadiusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<EnableRadiusInput, EnableRadiusOutput, Blob>;
    constructor(input: EnableRadiusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<EnableRadiusInput, EnableRadiusOutput>;
}
