import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetSnapshotLimitsInput } from "../types/GetSnapshotLimitsInput";
import { GetSnapshotLimitsOutput } from "../types/GetSnapshotLimitsOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/GetSnapshotLimitsInput";
export * from "../types/GetSnapshotLimitsOutput";
export * from "../types/GetSnapshotLimitsExceptionsUnion";
export declare class GetSnapshotLimitsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetSnapshotLimitsInput, OutputTypesUnion, GetSnapshotLimitsOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: GetSnapshotLimitsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetSnapshotLimitsInput, GetSnapshotLimitsOutput, Blob>;
    constructor(input: GetSnapshotLimitsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<GetSnapshotLimitsInput, GetSnapshotLimitsOutput>;
}
