import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListSchemaExtensionsInput } from "../types/ListSchemaExtensionsInput";
import { ListSchemaExtensionsOutput } from "../types/ListSchemaExtensionsOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/ListSchemaExtensionsInput";
export * from "../types/ListSchemaExtensionsOutput";
export * from "../types/ListSchemaExtensionsExceptionsUnion";
export declare class ListSchemaExtensionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListSchemaExtensionsInput, OutputTypesUnion, ListSchemaExtensionsOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: ListSchemaExtensionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListSchemaExtensionsInput, ListSchemaExtensionsOutput, Blob>;
    constructor(input: ListSchemaExtensionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<ListSchemaExtensionsInput, ListSchemaExtensionsOutput>;
}
