import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { VerifyTrustInput } from "../types/VerifyTrustInput";
import { VerifyTrustOutput } from "../types/VerifyTrustOutput";
import { DirectoryServiceResolvedConfiguration } from "../DirectoryServiceConfiguration";
export * from "../types/VerifyTrustInput";
export * from "../types/VerifyTrustOutput";
export * from "../types/VerifyTrustExceptionsUnion";
export declare class VerifyTrustCommand implements __aws_sdk_types.Command<InputTypesUnion, VerifyTrustInput, OutputTypesUnion, VerifyTrustOutput, DirectoryServiceResolvedConfiguration, Blob> {
    readonly input: VerifyTrustInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<VerifyTrustInput, VerifyTrustOutput, Blob>;
    constructor(input: VerifyTrustInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DirectoryServiceResolvedConfiguration): __aws_sdk_types.Handler<VerifyTrustInput, VerifyTrustOutput>;
}
