"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CancelSchemaExtensionInput_1 = require("../shapes/CancelSchemaExtensionInput");
var CancelSchemaExtensionOutput_1 = require("../shapes/CancelSchemaExtensionOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CancelSchemaExtension = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CancelSchemaExtension",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CancelSchemaExtensionInput_1.CancelSchemaExtensionInput
    },
    output: {
        shape: CancelSchemaExtensionOutput_1.CancelSchemaExtensionOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=CancelSchemaExtension.js.map