"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConditionalForwardersInput_1 = require("../shapes/DescribeConditionalForwardersInput");
var DescribeConditionalForwardersOutput_1 = require("../shapes/DescribeConditionalForwardersOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConditionalForwarders = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConditionalForwarders",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeConditionalForwardersInput_1.DescribeConditionalForwardersInput
    },
    output: {
        shape: DescribeConditionalForwardersOutput_1.DescribeConditionalForwardersOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DescribeConditionalForwarders.js.map