"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterEventTopicInput_1 = require("../shapes/RegisterEventTopicInput");
var RegisterEventTopicOutput_1 = require("../shapes/RegisterEventTopicOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterEventTopic = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterEventTopic",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterEventTopicInput_1.RegisterEventTopicInput
    },
    output: {
        shape: RegisterEventTopicOutput_1.RegisterEventTopicOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=RegisterEventTopic.js.map