"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateNumberOfDomainControllersInput_1 = require("../shapes/UpdateNumberOfDomainControllersInput");
var UpdateNumberOfDomainControllersOutput_1 = require("../shapes/UpdateNumberOfDomainControllersOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var DomainControllerLimitExceededException_1 = require("../shapes/DomainControllerLimitExceededException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateNumberOfDomainControllers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateNumberOfDomainControllers",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateNumberOfDomainControllersInput_1.UpdateNumberOfDomainControllersInput
    },
    output: {
        shape: UpdateNumberOfDomainControllersOutput_1.UpdateNumberOfDomainControllersOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: DomainControllerLimitExceededException_1.DomainControllerLimitExceededException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=UpdateNumberOfDomainControllers.js.map