"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateRadiusInput_1 = require("../shapes/UpdateRadiusInput");
var UpdateRadiusOutput_1 = require("../shapes/UpdateRadiusOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRadius = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRadius",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateRadiusInput_1.UpdateRadiusInput
    },
    output: {
        shape: UpdateRadiusOutput_1.UpdateRadiusOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=UpdateRadius.js.map