"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateTrustInput_1 = require("../shapes/UpdateTrustInput");
var UpdateTrustOutput_1 = require("../shapes/UpdateTrustOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateTrust = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateTrust",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateTrustInput_1.UpdateTrustInput
    },
    output: {
        shape: UpdateTrustOutput_1.UpdateTrustOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=UpdateTrust.js.map