"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResetUserPasswordInput = {
    type: "structure",
    required: ["DirectoryId", "UserName", "NewPassword"],
    members: {
        DirectoryId: {
            shape: {
                type: "string"
            }
        },
        UserName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NewPassword: {
            shape: {
                type: "string",
                sensitive: true,
                min: 1
            }
        }
    }
};
//# sourceMappingURL=ResetUserPasswordInput.js.map