"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SubnetIds_1 = require("./_SubnetIds");
var _AvailabilityZones_1 = require("./_AvailabilityZones");
var _IpAddrs_1 = require("./_IpAddrs");
exports._DirectoryConnectSettingsDescription = {
    type: "structure",
    required: [],
    members: {
        VpcId: {
            shape: {
                type: "string"
            }
        },
        SubnetIds: {
            shape: _SubnetIds_1._SubnetIds
        },
        CustomerUserName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        SecurityGroupId: {
            shape: {
                type: "string"
            }
        },
        AvailabilityZones: {
            shape: _AvailabilityZones_1._AvailabilityZones
        },
        ConnectIps: {
            shape: _IpAddrs_1._IpAddrs
        }
    }
};
//# sourceMappingURL=_DirectoryConnectSettingsDescription.js.map