import { AcceptSharedDirectoryOutput } from "./AcceptSharedDirectoryOutput";
import { AddIpRoutesOutput } from "./AddIpRoutesOutput";
import { AddTagsToResourceOutput } from "./AddTagsToResourceOutput";
import { CancelSchemaExtensionOutput } from "./CancelSchemaExtensionOutput";
import { ConnectDirectoryOutput } from "./ConnectDirectoryOutput";
import { CreateAliasOutput } from "./CreateAliasOutput";
import { CreateComputerOutput } from "./CreateComputerOutput";
import { CreateConditionalForwarderOutput } from "./CreateConditionalForwarderOutput";
import { CreateDirectoryOutput } from "./CreateDirectoryOutput";
import { CreateLogSubscriptionOutput } from "./CreateLogSubscriptionOutput";
import { CreateMicrosoftADOutput } from "./CreateMicrosoftADOutput";
import { CreateSnapshotOutput } from "./CreateSnapshotOutput";
import { CreateTrustOutput } from "./CreateTrustOutput";
import { DeleteConditionalForwarderOutput } from "./DeleteConditionalForwarderOutput";
import { DeleteDirectoryOutput } from "./DeleteDirectoryOutput";
import { DeleteLogSubscriptionOutput } from "./DeleteLogSubscriptionOutput";
import { DeleteSnapshotOutput } from "./DeleteSnapshotOutput";
import { DeleteTrustOutput } from "./DeleteTrustOutput";
import { DeregisterEventTopicOutput } from "./DeregisterEventTopicOutput";
import { DescribeConditionalForwardersOutput } from "./DescribeConditionalForwardersOutput";
import { DescribeDirectoriesOutput } from "./DescribeDirectoriesOutput";
import { DescribeDomainControllersOutput } from "./DescribeDomainControllersOutput";
import { DescribeEventTopicsOutput } from "./DescribeEventTopicsOutput";
import { DescribeSharedDirectoriesOutput } from "./DescribeSharedDirectoriesOutput";
import { DescribeSnapshotsOutput } from "./DescribeSnapshotsOutput";
import { DescribeTrustsOutput } from "./DescribeTrustsOutput";
import { DisableRadiusOutput } from "./DisableRadiusOutput";
import { DisableSsoOutput } from "./DisableSsoOutput";
import { EnableRadiusOutput } from "./EnableRadiusOutput";
import { EnableSsoOutput } from "./EnableSsoOutput";
import { GetDirectoryLimitsOutput } from "./GetDirectoryLimitsOutput";
import { GetSnapshotLimitsOutput } from "./GetSnapshotLimitsOutput";
import { ListIpRoutesOutput } from "./ListIpRoutesOutput";
import { ListLogSubscriptionsOutput } from "./ListLogSubscriptionsOutput";
import { ListSchemaExtensionsOutput } from "./ListSchemaExtensionsOutput";
import { ListTagsForResourceOutput } from "./ListTagsForResourceOutput";
import { RegisterEventTopicOutput } from "./RegisterEventTopicOutput";
import { RejectSharedDirectoryOutput } from "./RejectSharedDirectoryOutput";
import { RemoveIpRoutesOutput } from "./RemoveIpRoutesOutput";
import { RemoveTagsFromResourceOutput } from "./RemoveTagsFromResourceOutput";
import { ResetUserPasswordOutput } from "./ResetUserPasswordOutput";
import { RestoreFromSnapshotOutput } from "./RestoreFromSnapshotOutput";
import { ShareDirectoryOutput } from "./ShareDirectoryOutput";
import { StartSchemaExtensionOutput } from "./StartSchemaExtensionOutput";
import { UnshareDirectoryOutput } from "./UnshareDirectoryOutput";
import { UpdateConditionalForwarderOutput } from "./UpdateConditionalForwarderOutput";
import { UpdateNumberOfDomainControllersOutput } from "./UpdateNumberOfDomainControllersOutput";
import { UpdateRadiusOutput } from "./UpdateRadiusOutput";
import { UpdateTrustOutput } from "./UpdateTrustOutput";
import { VerifyTrustOutput } from "./VerifyTrustOutput";
export declare type OutputTypesUnion = AcceptSharedDirectoryOutput | AddIpRoutesOutput | AddTagsToResourceOutput | CancelSchemaExtensionOutput | ConnectDirectoryOutput | CreateAliasOutput | CreateComputerOutput | CreateConditionalForwarderOutput | CreateDirectoryOutput | CreateLogSubscriptionOutput | CreateMicrosoftADOutput | CreateSnapshotOutput | CreateTrustOutput | DeleteConditionalForwarderOutput | DeleteDirectoryOutput | DeleteLogSubscriptionOutput | DeleteSnapshotOutput | DeleteTrustOutput | DeregisterEventTopicOutput | DescribeConditionalForwardersOutput | DescribeDirectoriesOutput | DescribeDomainControllersOutput | DescribeEventTopicsOutput | DescribeSharedDirectoriesOutput | DescribeSnapshotsOutput | DescribeTrustsOutput | DisableRadiusOutput | DisableSsoOutput | EnableRadiusOutput | EnableSsoOutput | GetDirectoryLimitsOutput | GetSnapshotLimitsOutput | ListIpRoutesOutput | ListLogSubscriptionsOutput | ListSchemaExtensionsOutput | ListTagsForResourceOutput | RegisterEventTopicOutput | RejectSharedDirectoryOutput | RemoveIpRoutesOutput | RemoveTagsFromResourceOutput | ResetUserPasswordOutput | RestoreFromSnapshotOutput | ShareDirectoryOutput | StartSchemaExtensionOutput | UnshareDirectoryOutput | UpdateConditionalForwarderOutput | UpdateNumberOfDomainControllersOutput | UpdateRadiusOutput | UpdateTrustOutput | VerifyTrustOutput;
